Summary:	Scripts for managing .spec files and building RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do zarządznia plikami .spec i budowania RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Name:		rpm-build-tools
Version:	4.5
Release:	12
License:	GPL
Group:		Applications/File
Group:		Base
Source0:	builder.sh
Source1:	adapter.awk
Source2:	adapter.sh
Source3:	pldnotify.awk
Source4:	shrc.sh
BuildRequires:	sed >= 4.0
Requires:	gawk >= 3.1.7
Requires:	git-core >= 1.7
Requires:	grep
Requires:	less
Requires:	perl-base
Requires:	rpm-build
Requires:	rpmbuild(macros) >= 1.539
Requires:	sed >= 4.0
Requires:	util-linux
Requires:	wget
Suggests:	rpm-specdump >= 0.3
Suggests:	schedtool
Suggests:	vim-syntax-spec
Conflicts:	mktemp < 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir	%{_prefix}/lib

%description
Scripts for managing .spec files and building RPM packages.

%description -l de.UTF-8
Scripts fürs Bauen RPM-Pakete.

%description -l pl.UTF-8
Skrypty pomocnicze do zarządzania plikami .spec i do budowania RPM-ów.

%description -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%prep
%setup -qcT
cp -p %{SOURCE0} %{SOURCE2} .
cp -p %{SOURCE1} adapter.awk
cp -p %{SOURCE3} pldnotify.awk

%{__sed} -i -e 's,^adapter=.*/adapter.awk,adapter=%{_libdir}/adapter.awk,' adapter.sh

%{__sed} -i -e '/^VERSION=/s,\([^/]\+\)/.*",\1-RELEASE",' builder.sh adapter.sh
%{__sed} -i -e '/\tRCSID =/,/^\trev =/d;/\tVERSION = /s,\([^/]\+\)/.*,\1-RELEASE",' adapter.awk

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},/etc/shrc.d}
cp -p adapter.awk $RPM_BUILD_ROOT%{_libdir}/adapter.awk
install -p pldnotify.awk $RPM_BUILD_ROOT%{_bindir}
install -p builder.sh $RPM_BUILD_ROOT%{_bindir}/builder
install -p adapter.sh $RPM_BUILD_ROOT%{_bindir}/adapter
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/shrc.d/rpm-build.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/builder
%attr(755,root,root) %{_bindir}/adapter
%attr(755,root,root) %{_bindir}/pldnotify.awk
/etc/shrc.d/rpm-build.sh
%{_libdir}/adapter.awk
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-tools.git;a=log;h=AC-branch

* Tue Oct 29 2013 Jan Rękorajski <baggins@pld-linux.org> 202b825
do not remove macros.build from macrofiles for parsing spec

* Sat Oct 26 2013 Elan Ruusamäe <glen@delfi.ee> 9b29e2c
release 4.5-12

* Sat Oct 26 2013 Elan Ruusamäe <glen@delfi.ee> 1c74f9d
teeboth: buffer 102400 bytes, to make outbut more accurate

* Sat Oct 26 2013 Elan Ruusamäe <glen@delfi.ee> d2c31ae
adapter: recognize ruby_specdir macro

* Sat Oct 26 2013 Elan Ruusamäe <glen@delfi.ee> d3ff9cc
one more BSD license unify

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> 02a38b2
pycrypto map

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> 6fda96e
handle chef as ruby gem

* Tue Sep 17 2013 Kacper Kornet <draenog@pld-linux.org> b0600c6
builder.sh: refactor code to clone repositories in init_rpm_dir

* Mon Sep 16 2013 Kacper Kornet <draenog@pld-linux.org> ceda6f3
checkout template-specs during rpm directory initialization

* Thu Sep 05 2013 Elan Ruusamäe <glen@delfi.ee> 6c3972e
exclude .bigfiles and sources being from cleaned up

* Wed Sep 04 2013 Elan Ruusamäe <glen@delfi.ee> 3c78605
handle google-talkplugin upgrades

* Fri Aug 23 2013 Elan Ruusamäe <glen@delfi.ee> 42a229f
rel 11

* Fri Aug 23 2013 Elan Ruusamäe <glen@delfi.ee> 5c41c44
builder --noinit, use absolute paths

* Tue Aug 20 2013 Elan Ruusamäe <glen@delfi.ee> 89734d5
handle jenkins urls

* Tue Aug 20 2013 Elan Ruusamäe <glen@delfi.ee> 97dc82d
more elseifs

* Tue Aug 20 2013 Elan Ruusamäe <glen@delfi.ee> cbf1f6f
use "else if" when mungling urls

* Tue Aug 20 2013 Elan Ruusamäe <glen@delfi.ee> 9c64e51
more ASF licenses, more /etc keeps

* Mon Jul 22 2013 Artur Frysiak <artur@frysiak.net> 5a70128
taskwarrior hack

* Sun Jul 21 2013 Jan Palus <jan.palus@gmail.com> bd37d7a
- haskell hackage support

* Sun Jun 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d5537c5
Change expression to catch different extensions, so for example if having something-1.0.gz we will find that there is new version with different extension like something-2.0.bz2.

